summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/LinHES-config-22/startx
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2009-11-13 07:22:22 (GMT)
committerJames Meyer <james.meyer@operamail.com>2009-11-13 07:22:22 (GMT)
commitf1e3c5f9132ab7fdf1e1d33f6020a82a9869096a (patch)
tree6b681fc663d7f8a07863185f4313d39cedba655a /abs/core-testing/LinHES-config-22/startx
parent420f4c0c8157237d3b4b682a27db498b80c9e0f3 (diff)
downloadlinhes_pkgbuild-f1e3c5f9132ab7fdf1e1d33f6020a82a9869096a.zip
linhes_pkgbuild-f1e3c5f9132ab7fdf1e1d33f6020a82a9869096a.tar.gz
linhes_pkgbuild-f1e3c5f9132ab7fdf1e1d33f6020a82a9869096a.tar.bz2
LinHES-config-22: first check in of LinHES-config-22
Diffstat (limited to 'abs/core-testing/LinHES-config-22/startx')
-rwxr-xr-xabs/core-testing/LinHES-config-22/startx29
1 files changed, 29 insertions, 0 deletions
diff --git a/abs/core-testing/LinHES-config-22/startx b/abs/core-testing/LinHES-config-22/startx
new file mode 100755
index 0000000..75ba06a
--- /dev/null
+++ b/abs/core-testing/LinHES-config-22/startx
@@ -0,0 +1,29 @@
+#!/bin/bash
+. /etc/profile
+
+export USER=root
+export HOME=/root
+#TEMPLATES=/usr/share/templates
+
+CMDLINE=$(cat /proc/cmdline)
+TEMPVAR=${CMDLINE#*ip=}
+IP=${TEMPVAR%% *}
+echo $CMDLINE |grep -q vnc
+USEVNC=$?
+
+if [ x$USEVNC = x1 ]
+then
+ $MV_ROOT/bin/xconfig.sh
+ cat /etc/X11/xorg.conf | sed -e 's/dev\/mouse/dev\/psaux/g'> /root/xorg.conf.install
+ startx /root/live-install.sh -- -logverbose 6 -config /root/xorg.conf.install -allowMouseOpenFail
+ else
+ #VNC
+ pacman -Sf --noconfirm tightvnc
+ cd /root
+ mkdir .vnc
+ echo mythvantage |vncpasswd -f > /root/.vnc/passwd
+ chmod 500 /root/.vnc/passwd
+ rm /root/.vnc/xstartup
+ ln -s /root/live-install.sh /root/.vnc/xstartup
+ vncserver
+fi